org.modeshape.sequencer.teiid.lexicon

## Interface JdbcLexicon.JcrId

- Enclosing interface:
    JdbcLexicon

      public static interface JdbcLexicon.JcrId

  JCR identifiers relating to the JDBC namespace.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONVERT_CASE_IN_MODEL`
    `static String` | `CREATE_CATALOGS_IN_MODEL`
    `static String` | `CREATE_SCHEMAS_IN_MODEL`
    `static String` | `DRIVER_CLASS`
    `static String` | `DRIVER_NAME`
    `static String` | `EXCLUDED_OBJECT_PATHS`
    `static String` | `GENERATE_SOURCE_NAMES_IN_MODEL`
    `static String` | `IMPORTED`
    `static String` | `INCLUDE_APPROXIMATE_INDEXES`
    `static String` | `INCLUDE_FOREIGN_KEYS`
    `static String` | `INCLUDE_INDEXES`
    `static String` | `INCLUDE_PROCEDURES`
    `static String` | `INCLUDE_UNIQUE_INDEXES`
    `static String` | `INCLUDED_CATALOG_PATHS`
    `static String` | `INCLUDED_SCHEMA_PATHS`
    `static String` | `INCLUDED_TABLE_TYPES`
    `static String` | `NS_PREFIX`
    `static String` | `SOURCE`
    `static String` | `URL`
    `static String` | `USER_NAME`

- - ### Field Detail

    - #### NS_PREFIX

          static final String NS_PREFIX

      See Also:
        Constant Field Values

    - #### CONVERT_CASE_IN_MODEL

          static final String CONVERT_CASE_IN_MODEL

      See Also:
        Constant Field Values

    - #### CREATE_CATALOGS_IN_MODEL

          static final String CREATE_CATALOGS_IN_MODEL

      See Also:
        Constant Field Values

    - #### CREATE_SCHEMAS_IN_MODEL

          static final String CREATE_SCHEMAS_IN_MODEL

      See Also:
        Constant Field Values

    - #### DRIVER_CLASS

          static final String DRIVER_CLASS

      See Also:
        Constant Field Values

    - #### DRIVER_NAME

          static final String DRIVER_NAME

      See Also:
        Constant Field Values

    - #### EXCLUDED_OBJECT_PATHS

          static final String EXCLUDED_OBJECT_PATHS

      See Also:
        Constant Field Values

    - #### GENERATE_SOURCE_NAMES_IN_MODEL

          static final String GENERATE_SOURCE_NAMES_IN_MODEL

      See Also:
        Constant Field Values

    - #### IMPORTED

          static final String IMPORTED

      See Also:
        Constant Field Values

    - #### INCLUDE_APPROXIMATE_INDEXES

          static final String INCLUDE_APPROXIMATE_INDEXES

      See Also:
        Constant Field Values

    - #### INCLUDE_FOREIGN_KEYS

          static final String INCLUDE_FOREIGN_KEYS

      See Also:
        Constant Field Values

    - #### INCLUDE_INDEXES

          static final String INCLUDE_INDEXES

      See Also:
        Constant Field Values

    - #### INCLUDE_PROCEDURES

          static final String INCLUDE_PROCEDURES

      See Also:
        Constant Field Values

    - #### INCLUDE_UNIQUE_INDEXES

          static final String INCLUDE_UNIQUE_INDEXES

      See Also:
        Constant Field Values

    - #### INCLUDED_CATALOG_PATHS

          static final String INCLUDED_CATALOG_PATHS

      See Also:
        Constant Field Values

    - #### INCLUDED_SCHEMA_PATHS

          static final String INCLUDED_SCHEMA_PATHS

      See Also:
        Constant Field Values

    - #### INCLUDED_TABLE_TYPES

          static final String INCLUDED_TABLE_TYPES

      See Also:
        Constant Field Values

    - #### SOURCE

          static final String SOURCE

      See Also:
        Constant Field Values

    - #### URL

          static final String URL

      See Also:
        Constant Field Values

    - #### USER_NAME

          static final String USER_NAME

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.